%global srcname multi_key_dict

Name:           python-multi-key-dict
Version:        2.0.3
Release:        %mkrel 18
Summary:        Multi-key dictionary implementation in Python
Group:          Development/Python
License:        MIT
URL:            https://github.com/formiaczek/multi_key_dict
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Implementation of a multi-key dictionary, i.e.:

(key1[,key2, ..]) => value

This dictionary has a similar interface to the standard dictionary => but
is extended to support multiple keys referring to the same element.

%package -n python3-multi-key-dict
Summary:        Multi-key dictionary implementation in Python
%{?python_provide:%python_provide python3-multi-key-dict}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:      python3-%{srcname} < 2.0.3-16

%description -n python3-multi-key-dict
Implementation of a multi-key dictionary, i.e.:

(key1[,key2, ..]) => value

This dictionary has a similar interface to the standard dictionary => but
is extended to support multiple keys referring to the same element.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pyproject_check_import

%files -n python3-multi-key-dict -f %{pyproject_files}
%doc README.txt


%changelog
* Sat Mar 01 2025 wally <wally> 2.0.3-18.mga10
+ Revision: 2155329
- rebuild for python3.13
- rebuild for python3.13

* Sun Jun 30 2024 wally <wally> 2.0.3-16.mga10
+ Revision: 2078259
- fix and normalize pkg names to follow PEP 503

* Tue Dec 12 2023 papoteur <papoteur> 2.0.3-15.mga10
+ Revision: 2017659
- rebuild for python 3.12

* Mon Mar 21 2022 umeabot <umeabot> 2.0.3-14.mga9
+ Revision: 1816361
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 2.0.3-13.mga9
+ Revision: 1783723
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 2.0.3-12.mga9
+ Revision: 1733015
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 2.0.3-11.mga8
+ Revision: 1533081
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 2.0.3-10.mga8
+ Revision: 1443319
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 2.0.3-9.mga7
+ Revision: 1353306
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.0.3-8.mga7
+ Revision: 1289209
- Mageia 7 Mass Rebuild

* Fri Apr 27 2018 ngompa <ngompa> 2.0.3-7.mga7
+ Revision: 1222771
- Adapt for Mageia
- imported package python-multi_key_dict

